These are chat archives for astropy/ci-helpers

19th
Jun 2016
Thomas Robitaille
@astrofrog
Jun 19 2016 22:00
@bsipocz - I’m confused by this example:
@bsipocz - I don’t understand this
oops meant to paste link
Python is 3.4, numpy stable, why does it install Numpy 1.7.1?
It’s getting it from astropy-ci-extras for some reason
makes no sense
that has to be a conda bug
Brigitta Sipocz
@bsipocz
Jun 19 2016 22:58
ohh, great
it must be a bug indeed as there are plenty of more recent np build for 3.4 on the main channel
Thomas Robitaille
@astrofrog
Jun 19 2016 22:59
so what about pinning conda to an older version - do you think that might help all this?
alternatively I can remove all the old numpy builds from astropy-ci-extras since in theory they aren’t needed
Brigitta Sipocz
@bsipocz
Jun 19 2016 23:01
tomorrow I'll definitely do something about it, like hard wiring the latest version numbers into ci-helpers...
Thomas Robitaille
@astrofrog
Jun 19 2016 23:01
right - no rush :)
Brigitta Sipocz
@bsipocz
Jun 19 2016 23:01
independently of this I think it's a good idea to delete the numpy builds from ci-extras
Thomas Robitaille
@astrofrog
Jun 19 2016 23:13
ok, will do that now (delete the numpy builds)
btw, 1.2 is done! however, we need to wait for conda to announce
Brigitta Sipocz
@bsipocz
Jun 19 2016 23:14
wow :tada:
you said though that you would wait until the morning :smile:
Thomas Robitaille
@astrofrog
Jun 19 2016 23:15
yeah, but felt ok in the end, and had a lucid mind, so decided to go ahead
:)
Thomas Robitaille
@astrofrog
Jun 19 2016 23:21
I’m opening all the astropy-helpers 1.2 PRs, hope it goes well...
Brigitta Sipocz
@bsipocz
Jun 19 2016 23:22
:+1:
actually starting them now is the best timing, there is no backlog on ci on a sunday night and we can sort out if there is any problem in normal hours
Thomas Robitaille
@astrofrog
Jun 19 2016 23:35
Huh there’s something weird here
I think it’s when we git install astropy it somehow gets an RC version for numpy
that seems like a setuptools bug to some extent
anyway, I need sleep first